LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE std.textio.ALL;
USE ieee.std_logic_textio.ALL;

--TEMPLATE TESTBENCH

ENTITY huffman_tb IS
GENERIC(len_enc_value     : integer := 3; --
        table_index_len  : integer := 4; --which huffman table
        n            : integer := 9  --not being used 5Feb08:19
);
END huffman_tb; 

ARCHITECTURE TB of huffman_tb IS

SIGNAL clr_n	:	std_logic;
SIGNAL start	:	std_logic;
SIGNAL mp3bit_stream	:	std_logic;
SIGNAL xx_0_value	:	std_logic_vector(len_enc_value DOWNTO 0);
SIGNAL xx_1_value	:	std_logic_vector(len_enc_value DOWNTO 0);
SIGNAL table_sel	:	std_logic_vector(table_index_len DOWNTO 0);
SIGNAL h_len	:	std_logic_vector(2 DOWNTO 0);
SIGNAL ps_vec	:	std_logic_vector(9 DOWNTO 0);
SIGNAL found	:	std_logic;
SIGNAL clk_in	:	std_logic;
COMPONENT huffman
PORT (
clr_n	:	 IN std_logic;
start	:	 IN std_logic;
mp3bit_stream	:	 IN std_logic;
xx_0_value	:	 OUT std_logic_vector(len_enc_value DOWNTO 0);
xx_1_value	:	 OUT std_logic_vector(len_enc_value DOWNTO 0);
table_sel	:	 IN std_logic_vector(table_index_len DOWNTO 0);
h_len	:	 OUT std_logic_vector(2 DOWNTO 0);
ps_vec	:	 OUT std_logic_vector(9 DOWNTO 0);
found	:	 OUT std_logic;
clk_in	:	 IN std_logic
);
END COMPONENT;
 
BEGIN

huffman_i0: huffman
PORT MAP (
clr_n => clr_n,
start => start,
mp3bit_stream => mp3bit_stream,
xx_0_value => xx_0_value,
xx_1_value => xx_1_value,
table_sel => table_sel,
h_len => h_len,
ps_vec => ps_vec,
found => found,
clk_in => clk_in
);
END TB;
